# $Revision: 1.178.2.4 $, $Date: 2010/11/25 08:59:22 $
# TODO:
# - cgi-bin package - separate, because of suid-root
# - use shared versions of LIBILBC:=ilbc/libilbc.a (ilbc not enabled currently)
# - CFLAGS passing
# - fix bluetooth patch
# - make package for moh sound files
# - likely odbc and imap broken (identical code, some #define not working, etc):
#   *** WARNING: identical binaries are copied, not linked:
#     %attr(755,root,root) %{_libdir}/asterisk/modules/app_directory_odbc.so
#   and  /usr/lib64/asterisk/modules/app_directory_imap.so
#   *** WARNING: identical binaries are copied, not linked:
#     %attr(755,root,root) %{_libdir}/asterisk/modules/app_directory_plain.so
#   and  /usr/lib64/asterisk/modules/app_directory_imap.so
# - ncurses dep gone for good (replaced by libedit)?
# - missing/failed features:
# $ grep =0 build_tools/menuselect-deps
#   NBS=0 AST_EXT_LIB_SETUP([NBS], [Network Broadcast Sound], [nbs])
#   SS7=0 AST_EXT_LIB_SETUP([SS7], [ISDN SS7], [ss7])
#   VPBAPI=0 AST_EXT_LIB_SETUP([VPB], [Voicetronix API], [vpb])
# - %attr(755,root,root) %{_libdir}/asterisk/modules/chan_usbradio.so
#
# Conditional build:
%bcond_with	rxfax		# without rx (also tx:-D) fax
%bcond_with	bluetooth	# without bluetooth support (NFT)
%bcond_with	zhone		# zhone hack
%bcond_with	zhone_hack	# huge hack workarounding broken zhone channel banks which start randomly
				# issuing pulse-dialled calls to weird numbers
%bcond_with	bristuff	# BRIstuff (Junghanns.NET BRI adapters) support
%bcond_without	apidocs		# disable apidocs building
%bcond_without	verbose		# verbose build

%define		spandsp_version 0.0.2pre26
%define		rel	2
Summary:	Asterisk PBX
Summary(pl.UTF-8):	Centralka (PBX) Asterisk
Name:		asterisk
Version:	1.6.2.14
Release:	%{rel}%{?with_bristuff:.bristuff}
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.digium.com/pub/asterisk/releases/%{name}-%{version}.tar.gz
# Source0-md5:	4f0414c9b2d449222b2fc7096cbaffe7
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source5:	%{name}.logrotate
Source10:	http://soft-switch.org/downloads/spandsp/spandsp-%{spandsp_version}/asterisk-1.2.x/app_txfax.c
# Source10-md5:	8c8fcb263b76897022b4c28052a7b439
Source11:	http://soft-switch.org/downloads/spandsp/spandsp-%{spandsp_version}/asterisk-1.2.x/app_rxfax.c
# Source11-md5:	ab6983b51c412883545b36993d704999
Patch0:		mxml-system.patch
Patch1:		lua51-path.patch
Patch2:		%{name}-no_k6_on_sparc.patch
Patch3:		%{name}-lib.patch
Patch4:		%{name}-ppc.patch
Patch5:		external-libedit.patch
Patch6:		pkg-config-gmime.patch
Patch7:		FHS-paths.patch
Patch8:		libedit-history.patch
Patch9:		pld-banner.patch
# http://soft-switch.org/downloads/spandsp/spandsp-%{spandsp_version}/asterisk-1.2.x/apps_Makefile.patch
Patch10:	%{name}-txfax-Makefile.patch
Patch11:	%{name}-chan_bluetooth.patch
Patch12:	%{name}-zhone.patch
# http://svn.debian.org/wsvn/pkg-voip/asterisk/trunk/debian/patches/bristuff
Patch13:	%{name}-bristuff.patch
Patch14:	%{name}-bristuff-build.patch
Patch15:	%{name}-bristuff-libpri.patch
Patch16:	lpc10-system.patch
Patch17:	gsm-libpoison.patch
Patch18:	Fix-history-loading-when-using-external-libedit.patch
URL:		http://www.asterisk.org/
BuildRequires:	OSPToolkit-devel
BuildRequires:	SDL_image-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
%{?with_bluetooth:BuildRequires: bluez-devel}
BuildRequires:	curl-devel
BuildRequires:	dahdi-linux-devel
BuildRequires:	dahdi-tools-devel >= 2.0.0
BuildRequires:	freetds-devel >= 0.63
BuildRequires:	gawk
BuildRequires:	gcc >= 5:3.4
BuildRequires:	gmime22-devel
BuildRequires:	gtk+2-devel
BuildRequires:	iksemel-devel
BuildRequires:	imap-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libcap-devel
BuildRequires:	libedit-devel
BuildRequires:	libgsm-devel
BuildRequires:	libogg-devel
BuildRequires:	libresample-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
BuildRequires:	lpc10-devel
BuildRequires:	lua51-devel
BuildRequires:	mISDNuser-devel
BuildRequires:	mxml-devel
BuildRequires:	mysql-devel
BuildRequires:	ncurses-devel
BuildRequires:	net-snmp-devel
BuildRequires:	newt-devel
BuildRequires:	openais-devel
BuildRequires:	openh323-devel >= 1.19.0
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	portaudio-devel >= 19
BuildRequires:	postgresql-devel
BuildRequires:	pwlib-devel
BuildRequires:	radiusclient-ng-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	spandsp-devel >= 0.0.5
BuildRequires:	speex-devel
BuildRequires:	sqlite-devel
BuildRequires:	sqlite3-devel
BuildRequires:	unixODBC-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	zlib-devel
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(asterisk)
Provides:	user(asterisk)
%if %{with bristuff}
BuildRequires:	libgsmat-devel
BuildRequires:	libpri-bristuff-devel >= 1.2.4
%else
BuildRequires:	libpri-devel >= 1.4.6
%endif
Requires(post,preun):	/sbin/chkconfig
%if %{with fc}
BuildRequires:	libss7-devel >= 1.0.1
BuildRequires:	libtool-ltdl-devel
BuildRequires:	libusb-devel
BuildRequires:	lm_sensors-devel
%endif
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Asterisk is an Open Source PBX and telephony development platform that
can both replace a conventional PBX and act as a platform for
developing custom telephony applications for delivering dynamic
content over a telephone similarly to how one can deliver dynamic
content through a web browser using CGI and a web server.

Asterisk talks to a variety of telephony hardware including BRI, PRI,
POTS, and IP telephony clients using the Inter-Asterisk eXchange
protocol (e.g. gnophone or miniphone). For more information and a
current list of supported hardware, see http://www.asterisk.org/.

%description -l pl.UTF-8
Asterisk to wolnodostępna centralka (PBX) i platforma programistyczna
dla telefonii, mogąca zastąpić konwencjonalne PBX-y oraz służyć jako
platforma do rozwijania własnych aplikacji telefonicznych do
przekazywania dynamicznej treści przez telefon, podobnie jak można
przekazywać dynamiczną treść przez przeglądarkę WWW przy użyciu CGI i
serwera WWW.

Asterisk współpracuje z wielorakim sprzętem telefonicznym, w tym BRI,
PRI, POTS oraz klienty telefonii IP używające protokołu Inter-Asterisk
eXchange (np. gnophone lub miniphone). Więcej informacji i listę
obsługiwanego sprzętu można znaleźć pod http://www.asterisk.org/.

%package devel
Summary:	Header files for Asterisk platform
Summary(pl.UTF-8):	Pliki nagłówkowe platformy Asterisk
Group:		Development

%description devel
Header files for Asterisk development platform.

%description devel -l pl.UTF-8
Pliki nagłówkowe platformy programistycznej Asterisk.

%package ais
Summary:	Modules for Asterisk that use OpenAIS
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description ais
Modules for Asterisk that use OpenAIS.

%package alsa
Summary:	Modules for Asterisk that use Alsa sound drivers
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description alsa
Modules for Asterisk that use Alsa sound drivers.

%package astman
Summary:	Astman is a text mode Manager for Asterisk
Group:		Applications/Networking

%description astman
Astman is a text mode Manager for Asterisk.

Astman connects to Asterisk by TCP, so you can run Astman on a
completely different computer than your Asterisk computer.

%package curl
Summary:	Modules for Asterisk that use cURL
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description curl
Modules for Asterisk that use cURL.

%package dahdi
Summary:	Modules for Asterisk that use DAHDI
Group:		Applications/Networking
Requires(pre):	/usr/sbin/usermod
Requires:	%{name} = %{version}-%{release}
Requires:	dahdi-tools >= 2.0.0

%description dahdi
Modules for Asterisk that use DAHDI.

%package fax
Summary:	FAX applications for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description fax
FAX applications for Asterisk

%package festival
Summary:	Festival application for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	festival

%description festival
Application for the Asterisk PBX that uses Festival to convert text to
speech.

%package gsm
Summary:	Support GSM audio encoding/decoding
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description gsm
Support GSM audio encoding/decoding.

%package h323
Summary:	H.323 protocol support for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description h323
This channel driver (chan_h323) provides support for the H.323
protocol for Asterisk. This is an implementation originally
contributed by NuFone and nowdays maintained and distributed by
Digium, Inc. Hence, it is considered the official H.323 chanel driver.

%package http
Summary:	HTTP Server Support
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description http
HTTP Server Support.

%package ices
Summary:	Stream audio from Asterisk to an IceCast server
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	ices
Obsoletes:	asterisk < 1.4.18-1
Conflicts:	asterisk < 1.4.18-1

%description ices
Stream audio from Asterisk to an IceCast server.

%package jabber
Summary:	Jabber/XMPP resources for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description jabber
Jabber/XMPP resources for Asterisk.

%package jack
Summary:	JACK resources for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description jack
JACK resources for Asterisk.

%package lua
Summary:	Lua resources for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description lua
Lua resources for Asterisk.

%package ldap
Summary:	LDAP resources for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description ldap
LDAP resources for Asterisk.

%package ldap-fds
Summary:	LDAP resources for Asterisk and the Fedora Directory Server
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-ldap = %{version}-%{release}
Requires:	fedora-ds-base

%description ldap-fds
LDAP resources for Asterisk and the Fedora Directory Server.

%package lpc10
Summary:	LPC-10 2400 bps Voice Codec support
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description lpc10
LPC-10 2400 bps Voice Codec support

%package misdn
Summary:	mISDN channel for Asterisk
Group:		Applications/Networking
Requires(pre):	/usr/sbin/usermod
Requires:	%{name} = %{version}-%{release}

%description misdn
mISDN channel for Asterisk.

%package minivm
Summary:	MiniVM applicaton for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description minivm
MiniVM application for Asterisk.

%package odbc
Summary:	Applications for Asterisk that use ODBC (except voicemail)
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description odbc
Applications for Asterisk that use ODBC (except voicemail)

%package osp
Summary:	Modules for Asterisk that use Open Settlement Protocol (OSP) Applications
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description osp
Open Settlement Protocol (OSP) Applications.

%package oss
Summary:	Modules for Asterisk that use OSS sound drivers
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description oss
Modules for Asterisk that use OSS sound drivers.

%package portaudio
Summary:	Modules for Asterisk that use the portaudio library
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description portaudio
Modules for Asterisk that use the portaudio library.

%package postgresql
Summary:	Applications for Asterisk that use PostgreSQL
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description postgresql
Applications for Asterisk that use PostgreSQL.

%package radius
Summary:	Applications for Asterisk that use RADIUS
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description radius
Applications for Asterisk that use RADIUS.

%package resample
Summary:	resample codec
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description resample
resample codec.

%package skinny
Summary:	Modules for Asterisk that support the SCCP/Skinny protocol
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description skinny
Modules for Asterisk that support the SCCP/Skinny protocol.

%package snmp
Summary:	Module that enables SNMP monitoring of Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	mibs-dirs

%description snmp
Module that enables SNMP monitoring of Asterisk.

%package speex
Summary:	Speex codec support
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description speex
Speex codec support.

%package sqlite
Summary:	Sqlite modules for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description sqlite
Sqlite modules for Asterisk.

%package tds
Summary:	Modules for Asterisk that use FreeTDS
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description tds
Modules for Asterisk that use FreeTDS.

%package unistim
Summary:	Unistim channel for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description unistim
Unistim channel for Asterisk

%package usbradio
Summary:	USB radio channel for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description usbradio
Unistim channel for Asterisk

%package voicemail
Summary:	Common Voicemail Modules for Asterisk
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-voicemail-implementation = %{version}-%{release}
Requires:	/usr/lib/sendmail
Requires:	sox

%description voicemail
Common Voicemail Modules for Asterisk.

%package voicemail-imap
Summary:	Store voicemail on an IMAP server
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-voicemail = %{version}-%{release}
Provides:	%{name}-voicemail-implementation = %{version}-%{release}

%description voicemail-imap
Voicemail implementation for Asterisk that stores voicemail on an IMAP
server.

%package voicemail-odbc
Summary:	Store voicemail in a database using ODBC
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-voicemail = %{version}-%{release}
Provides:	%{name}-voicemail-implementation = %{version}-%{release}

%description voicemail-odbc
Voicemail implementation for Asterisk that uses ODBC to store
voicemail in a database.

%package voicemail-plain
Summary:	Store voicemail on the local filesystem
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-voicemail = %{version}-%{release}
Provides:	%{name}-voicemail-implementation = %{version}-%{release}

%description voicemail-plain
Voicemail implementation for Asterisk that stores voicemail on the
local filesystem.

%package vorbis
Summary:	Ogg Vorbis format support
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description vorbis
Ogg Vorbis format support.

# define apidocs as last package, as it is the biggest one
%package apidocs
Summary:	API documentation for Asterisk
Group:		Documentation

%description apidocs
API documentation for Asterisk.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p1
%patch9 -p1
%if %{with zhone}
sed -i -e 's|.*#define.*ZHONE_HACK.*|#define ZHONE_HACK 1|g' channels/chan_zap.c
%endif
%if %{with rxfax}
cd apps
%patch10 -p0
cp %{SOURCE10} .
cp %{SOURCE11} .
%endif
%{?with_bluetooth:%patch11 -p1}
%{?with_zhonehack:%patch12 -p1}
%if %{with bristuff}
%patch13 -p1
%patch14 -p1
%patch15 -p1
%endif
%patch16 -p1
%patch17 -p1
%patch18 -p1

# Fixup makefile so sound archives aren't downloaded/installed
%{__sed} -i -e 's/^all:.*$/all:/' sounds/Makefile
%{__sed} -i -e 's/^install:.*$/install:/' sounds/Makefile

# avoid using these
rm -rf imap menuselect/mxml main/editline codecs/gsm codecs/lpc10

%build
rm -f pbx/.depend

%{__aclocal} -I autoconf
%{__autoheader}
%{__autoconf}

export ASTCFLAGS="%{rpmcflags}"
export ASTLDFLAGS="%{rpmldflags}"
export WGET="/bin/true"

# be sure to invoke ./configure with our flags
cd menuselect
%{__aclocal} -I ../autoconf
%{__autoheader}
%{__autoconf}
# we need just plain cli for building
%configure \
  --without-newt \
  --without-gtk2 \
  --without-curses \
  --without-ncurses
cd ..

%configure \
	%{?with_bristuff:--with-gsmat=%{_prefix}} \
	--with-imap=system \
	--with-gsm=/usr \
	--with-lpc10=/usr \
	--with-libedit=yes

# safe checks
%{?with_bristuff:grep '^#define HAVE_GSMAT 1' include/asterisk/autoconfig.h || exit 1}

cp -f .cleancount .lastclean

# included conditionally, so make sure its there first
%{__make} -C channels/h323 Makefile.ast \
	%{?with_verbose:NOISY_BUILD=yes} \

%{__make} DEBUG= \
	OPTIMIZE= \
	ASTVARRUNDIR=%{_localstatedir}/run/asterisk \
	ASTDATADIR=%{_datadir}/asterisk \
	ASTVARLIBDIR=%{_datadir}/asterisk \
	ASTDBDIR=%{_localstatedir}/spool/asterisk \
	%{?with_verbose:NOISY_BUILD=yes} \

rm apps/app_voicemail.o apps/app_directory.o
mv apps/app_voicemail.so apps/app_voicemail_plain.so
mv apps/app_directory.so apps/app_directory_plain.so

%{__sed} -i -e 's/^MENUSELECT_OPTS_app_voicemail=.*$/MENUSELECT_OPTS_app_voicemail=IMAP_STORAGE/' menuselect.makeopts
%{__make} DEBUG= \
	OPTIMIZE= \
	ASTVARRUNDIR=%{_localstatedir}/run/asterisk \
	ASTDATADIR=%{_datadir}/asterisk \
	ASTVARLIBDIR=%{_datadir}/asterisk \
	ASTDBDIR=%{_localstatedir}/spool/asterisk \
	%{?with_verbose:NOISY_BUILD=yes} \

rm apps/app_voicemail.o apps/app_directory.o
mv apps/app_voicemail.so apps/app_voicemail_imap.so
mv apps/app_directory.so apps/app_directory_imap.so

%{__sed} -i -e 's/^MENUSELECT_OPTS_app_voicemail=.*$/MENUSELECT_OPTS_app_voicemail=ODBC_STORAGE/' menuselect.makeopts
%{__make} DEBUG= \
	OPTIMIZE= \
	ASTVARRUNDIR=%{_localstatedir}/run/asterisk \
	ASTDATADIR=%{_datadir}/asterisk \
	ASTVARLIBDIR=%{_datadir}/asterisk \
	ASTDBDIR=%{_localstatedir}/spool/asterisk \
	%{?with_verbose:NOISY_BUILD=yes} \

rm apps/app_voicemail.o apps/app_directory.o
mv apps/app_voicemail.so apps/app_voicemail_odbc.so
mv apps/app_directory.so apps/app_directory_odbc.so

# so that these modules don't get built again during the install phase
touch apps/app_voicemail.o apps/app_directory.o
touch apps/app_voicemail.so apps/app_directory.so

%if %{with apidocs}
%{__make} progdocs \
	DEBUG= \
	OPTIMIZE= \
	ASTVARRUNDIR=%{_localstatedir}/run/asterisk \
	ASTDATADIR=%{_datadir}/asterisk \
	ASTVARLIBDIR=%{_datadir}/asterisk \
	ASTDBDIR=%{_localstatedir}/spool/asterisk \
	%{?with_verbose:NOISY_BUILD=yes} \
%endif

%{__make} \
	DEBUG= \
	OPTIMIZE= \
	ASTVARRUNDIR=%{_localstatedir}/run/asterisk \
	ASTDATADIR=%{_datadir}/asterisk \
	ASTVARLIBDIR=%{_datadir}/asterisk \
	ASTDBDIR=%{_localstatedir}/spool/asterisk \
	%{?with_verbose:NOISY_BUILD=yes} \
	CHANNEL_LIBS+=chan_bluetooth.so || :

# rerun needed; asterisk wants that
%{__make} \
	DEBUG= \
	OPTIMIZE= \
	ASTVARRUNDIR=%{_localstatedir}/run/asterisk \
	ASTDATADIR=%{_datadir}/asterisk \
	ASTVARLIBDIR=%{_datadir}/asterisk \
	ASTDBDIR=%{_localstatedir}/spool/asterisk \
	%{?with_verbose:NOISY_BUILD=yes} \
	CHANNEL_LIBS+=chan_bluetooth.so

# safe checks
%{?with_bristuff:objdump -p channels/chan_zap.so | grep -qE 'NEEDED +libgsmat\.so' || exit 1}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/{log/asterisk/cdr-csv,spool/asterisk/monitor},/etc/{rc.d/init.d,sysconfig,logrotate.d}}

export ASTCFLAGS="%{rpmcflags}"

%{__make} install \
	DEBUG= \
	OPTIMIZE= \
	DESTDIR=$RPM_BUILD_ROOT \
	ASTVARRUNDIR=%{_localstatedir}/run/asterisk \
	ASTDATADIR=%{_datadir}/asterisk \
	ASTVARLIBDIR=%{_datadir}/asterisk \
	ASTDBDIR=%{_localstatedir}/spool/asterisk

%{__make} samples \
	DEBUG= \
	OPTIMIZE= \
	DESTDIR=$RPM_BUILD_ROOT \
	ASTVARRUNDIR=%{_localstatedir}/run/asterisk \
	ASTDATADIR=%{_datadir}/asterisk \
	ASTVARLIBDIR=%{_datadir}/asterisk \
	ASTDBDIR=%{_localstatedir}/spool/asterisk

rm $RPM_BUILD_ROOT%{_libdir}/asterisk/modules/app_directory.so
rm $RPM_BUILD_ROOT%{_libdir}/asterisk/modules/app_voicemail.so
install -D -p apps/app_directory_imap.so $RPM_BUILD_ROOT%{_libdir}/asterisk/modules
install -D -p apps/app_voicemail_imap.so $RPM_BUILD_ROOT%{_libdir}/asterisk/modules
install -D -p apps/app_directory_odbc.so $RPM_BUILD_ROOT%{_libdir}/asterisk/modules
install -D -p apps/app_voicemail_odbc.so $RPM_BUILD_ROOT%{_libdir}/asterisk/modules
install -D -p apps/app_directory_plain.so $RPM_BUILD_ROOT%{_libdir}/asterisk/modules
install -D -p apps/app_voicemail_plain.so $RPM_BUILD_ROOT%{_libdir}/asterisk/modules

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
cp -a %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install -D -p doc/asterisk-mib.txt $RPM_BUILD_ROOT%{_datadir}/mibs/ASTERISK-MIB.txt
install -D -p doc/digium-mib.txt $RPM_BUILD_ROOT%{_datadir}/mibs/DIGIUM-MIB.txt

# create some directories that need to be packaged
install -d $RPM_BUILD_ROOT%{_datadir}/asterisk/moh
install -d $RPM_BUILD_ROOT%{_datadir}/asterisk/sounds
ln -s %{_localstatedir}/lib/asterisk/licenses $RPM_BUILD_ROOT%{_datadir}/asterisk/licenses

install -d $RPM_BUILD_ROOT%{_localstatedir}/lib/asterisk/licenses
install -d $RPM_BUILD_ROOT%{_localstatedir}/log/asterisk/cdr-custom
install -d $RPM_BUILD_ROOT%{_localstatedir}/spool/asterisk/festival
install -d $RPM_BUILD_ROOT%{_localstatedir}/spool/asterisk/monitor
install -d $RPM_BUILD_ROOT%{_localstatedir}/spool/asterisk/outgoing
install -d $RPM_BUILD_ROOT%{_localstatedir}/spool/asterisk/uploads

# We're not going to package any of the sample AGI scripts
rm -f $RPM_BUILD_ROOT%{_datadir}/asterisk/agi-bin/*

# Don't package the sample voicemail user
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/spool/asterisk/voicemail/default

# Don't package example phone provision configs
rm -rf $RPM_BUILD_ROOT%{_datadir}/asterisk/phoneprov/*

# these are compiled with -O0 and thus include unfortified code.
rm -rf $RPM_BUILD_ROOT%{_sbindir}/hashtest
rm -rf $RPM_BUILD_ROOT%{_sbindir}/hashtest2

# we're not using safe_asterisk
rm -f $RPM_BUILD_ROOT%{_sbindir}/safe_asterisk
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/safe_asterisk.8*

rm -rf $RPM_BUILD_ROOT%{_datadir}/asterisk/firmware/iax/*

%if %{with apidocs}
find doc/api/html -name '*.map' -size 0 -delete
%endif

rm $RPM_BUILD_ROOT%{_datadir}/asterisk/documentation/appdocsxml.dtd
rm $RPM_BUILD_ROOT%{_datadir}/asterisk/documentation/core-en_US.xml

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 188 asterisk
%useradd -u 188 -r -s /sbin/nologin -d /var/lib/asterisk -M -c 'Asterisk User' -g asterisk asterisk

%postun
if [ "$1" = 0 ]; then
	%userremove asterisk
	%groupremove asterisk
fi

%post
/sbin/chkconfig --add asterisk
# use -n (NOOP) as restart would be breaking all current calls.
%service -n asterisk restart "Asterisk daemon"

%preun
if [ "$1" = "0" ]; then
	%service asterisk stop
	/sbin/chkconfig --del asterisk
fi

%triggerpostun -- %{name} < 1.6.1.12-0.1
# chown to asterisk previously root owned files
# loose one (not one that cames from rpm), as we're not trying to split the
# hair with file permission bits.
chown -R asterisk:asterisk /var/spool/asterisk
chown -R asterisk:asterisk /var/lib/asterisk

%files
%defattr(644,root,root,755)
%doc README *.txt ChangeLog BUGS CREDITS configs
%doc doc/{asterisk.sgml,PEERING} doc/{backtrace,callfiles,externalivr,macroexclusive,manager_1_1,modules,queue}.txt
%doc doc/{rtp-packetization,siptls,smdi,sms,speechrec,ss7,video}.txt

%attr(755,root,root) %{_sbindir}/aelparse
%attr(755,root,root) %{_sbindir}/astcanary
%attr(755,root,root) %{_sbindir}/asterisk
%attr(755,root,root) %{_sbindir}/astgenkey
%attr(755,root,root) %{_sbindir}/autosupport
%attr(755,root,root) %{_sbindir}/conf2ael
%attr(755,root,root) %{_sbindir}/muted
%attr(755,root,root) %{_sbindir}/rasterisk
%attr(755,root,root) %{_sbindir}/refcounter
%attr(755,root,root) %{_sbindir}/smsq
%attr(755,root,root) %{_sbindir}/stereorize
%attr(755,root,root) %{_sbindir}/streamplayer
%{_mandir}/man8/asterisk.8*
%{_mandir}/man8/astgenkey.8*
%{_mandir}/man8/autosupport.8*

%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}

%attr(750,root,asterisk) %dir %{_sysconfdir}/asterisk
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/adsi.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/adtranvofr.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/agents.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/alarmreceiver.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/amd.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/asterisk.adsi
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/asterisk.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/cdr.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/cdr_custom.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/cdr_manager.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/cli.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/cli_aliases.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/cli_permissions.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/codecs.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/dnsmgr.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/dsp.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/dundi.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/enum.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/extconfig.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/extensions.ael
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/extensions.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/features.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/followme.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/iax.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/iaxprov.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/indications.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/logger.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/manager.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/mgcp.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/modules.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/musiconhold.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/muted.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/phone.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/phoneprov.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/queuerules.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/queues.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/rpt.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/rtp.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/say.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/sip*.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/sla.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/smdi.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/telcordia-1.adsi
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/udptl.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/users.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/vpb.conf

%dir %{_libdir}/asterisk
%dir %{_libdir}/asterisk/modules

%attr(755,root,root) %{_libdir}/asterisk/modules/app_adsiprog.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_alarmreceiver.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_amd.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_authenticate.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_cdr.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_chanisavail.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_channelredirect.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_chanspy.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_confbridge.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_controlplayback.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_db.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_dial.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_dictate.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_directed_pickup.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_disa.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_dumpchan.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_echo.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_exec.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_externalivr.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_followme.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_forkcdr.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_getcpeid.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_image.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_macro.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_milliwatt.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_mixmonitor.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_morsecode.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_mp3.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_nbscat.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_originate.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_parkandannounce.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_playback.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_playtones.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_privacy.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_queue.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_read.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_readexten.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_readfile.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_record.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_sayunixtime.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_senddtmf.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_sendtext.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_setcallerid.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_sms.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_softhangup.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_speech_utils.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_stack.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_system.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_talkdetect.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_test.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_transfer.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_url.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_userevent.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_verbose.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_waitforring.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_waitforsilence.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_waituntil.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_while.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_zapateller.so
%attr(755,root,root) %{_libdir}/asterisk/modules/bridge_builtin_features.so
%attr(755,root,root) %{_libdir}/asterisk/modules/bridge_multiplexed.so
%attr(755,root,root) %{_libdir}/asterisk/modules/bridge_simple.so
%attr(755,root,root) %{_libdir}/asterisk/modules/bridge_softmix.so
%attr(755,root,root) %{_libdir}/asterisk/modules/cdr_csv.so
%attr(755,root,root) %{_libdir}/asterisk/modules/cdr_custom.so
%attr(755,root,root) %{_libdir}/asterisk/modules/cdr_manager.so
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_agent.so
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_bridge.so
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_iax2.so
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_local.so
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_mgcp.so
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_phone.so
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_sip.so
%attr(755,root,root) %{_libdir}/asterisk/modules/codec_a_mu.so
%attr(755,root,root) %{_libdir}/asterisk/modules/codec_adpcm.so
%attr(755,root,root) %{_libdir}/asterisk/modules/codec_alaw.so
%attr(755,root,root) %{_libdir}/asterisk/modules/codec_g722.so
%attr(755,root,root) %{_libdir}/asterisk/modules/codec_g726.so
%attr(755,root,root) %{_libdir}/asterisk/modules/codec_ulaw.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_g723.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_g726.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_g729.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_h263.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_h264.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_ilbc.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_jpeg.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_pcm.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_siren14.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_siren7.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_sln.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_sln16.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_vox.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_wav.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_aes.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_audiohookinherit.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_base64.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_blacklist.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_callerid.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_cdr.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_channel.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_config.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_cut.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_db.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_devstate.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_dialgroup.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_dialplan.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_enum.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_env.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_extstate.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_global.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_groupcount.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_iconv.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_lock.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_logic.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_math.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_md5.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_module.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_rand.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_realtime.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_sha1.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_shell.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_sprintf.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_strings.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_sysinfo.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_timeout.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_uri.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_version.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_volume.so
%attr(755,root,root) %{_libdir}/asterisk/modules/pbx_ael.so
%attr(755,root,root) %{_libdir}/asterisk/modules/pbx_config.so
%attr(755,root,root) %{_libdir}/asterisk/modules/pbx_dundi.so
%attr(755,root,root) %{_libdir}/asterisk/modules/pbx_loopback.so
%attr(755,root,root) %{_libdir}/asterisk/modules/pbx_realtime.so
%attr(755,root,root) %{_libdir}/asterisk/modules/pbx_spool.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_adsi.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_ael_share.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_agi.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_clialiases.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_clioriginate.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_convert.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_crypto.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_limit.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_monitor.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_musiconhold.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_phoneprov.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_realtime.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_smdi.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_speech.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_timing_pthread.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_timing_timerfd.so
#%attr(755,root,root) %{_libdir}/asterisk/modules/test_dlinklists.so
#%attr(755,root,root) %{_libdir}/asterisk/modules/test_heap.so

%dir %{_datadir}/asterisk
%dir %{_datadir}/asterisk/agi-bin
%dir %{_datadir}/asterisk/firmware
%dir %{_datadir}/asterisk/firmware/iax
%dir %{_datadir}/asterisk/images
%dir %{_datadir}/asterisk/moh
%dir %{_datadir}/asterisk/sounds
%dir %attr(750,root,asterisk) %{_datadir}/asterisk/keys
# no need to protect publicly downloaded and packaged .pub
%{_datadir}/asterisk/keys/*.pub
%{_datadir}/asterisk/images/*.jpg
%{_datadir}/asterisk/phoneprov
%{_datadir}/asterisk/licenses

%attr(770,root,asterisk) %dir %{_localstatedir}/lib/asterisk
%dir %attr(750,root,asterisk) %{_localstatedir}/lib/asterisk/licenses

%attr(770,root,asterisk) %dir %{_localstatedir}/log/asterisk
%attr(770,root,asterisk) %dir %{_localstatedir}/log/asterisk/cdr-csv
%attr(770,root,asterisk) %dir %{_localstatedir}/log/asterisk/cdr-custom

%attr(770,root,asterisk) %dir %{_localstatedir}/spool/asterisk
%attr(770,root,asterisk) %dir %{_localstatedir}/spool/asterisk/monitor
%attr(770,root,asterisk) %dir %{_localstatedir}/spool/asterisk/outgoing
%attr(770,root,asterisk) %dir %{_localstatedir}/spool/asterisk/tmp
%attr(770,root,asterisk) %dir %{_localstatedir}/spool/asterisk/uploads
%attr(770,root,asterisk) %dir %{_localstatedir}/spool/asterisk/voicemail

%attr(775,root,asterisk) %dir %{_localstatedir}/run/asterisk

%files devel
%defattr(644,root,root,755)
%doc doc/{CODING-GUIDELINES,{datastores,modules,valgrind}.txt}
%dir %{_includedir}/asterisk
%{_includedir}/asterisk/*.h
%{_includedir}/asterisk.h

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/api/html/*
%endif

%files ais
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/ais.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/res_ais.so

%files alsa
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/alsa.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_alsa.so

%files astman
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/astman

%files curl
%defattr(644,root,root,755)
%doc contrib/scripts/dbsep.cgi
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/dbsep.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/func_curl.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_config_curl.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_curl.so

%files dahdi
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/meetme.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/chan_dahdi.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/app_dahdibarge.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_dahdiras.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_dahdiscan.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_flash.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_meetme.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_page.so
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_dahdi.so
%attr(755,root,root) %{_libdir}/asterisk/modules/codec_dahdi.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_timing_dahdi.so

%dir %{_includedir}/asterisk
%{_includedir}/asterisk.h
%{_includedir}/asterisk/*.h

%files fax
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/asterisk/modules/app_fax.so

%files festival
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/festival.conf
%attr(770,root,asterisk) %dir %{_localstatedir}/spool/asterisk/festival
%attr(755,root,root) %{_libdir}/asterisk/modules/app_festival.so

%files gsm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/asterisk/modules/codec_gsm.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_gsm.so
%attr(755,root,root) %{_libdir}/asterisk/modules/format_wav_gsm.so

%files h323
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/h323.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_h323.so

%files http
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/http.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/res_http_post.so
%{_datadir}/asterisk/static-http

%files ices
%defattr(644,root,root,755)
%doc contrib/asterisk-ices.xml
%attr(755,root,root) %{_libdir}/asterisk/modules/app_ices.so

%files jabber
%defattr(644,root,root,755)
%doc doc/jabber.txt
%doc doc/jingle.txt
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/gtalk.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/jabber.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/jingle.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_gtalk.so
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_jingle.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_jabber.so

%files jack
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/asterisk/modules/app_jack.so

%files lua
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/extensions.lua
%attr(755,root,root) %{_libdir}/asterisk/modules/pbx_lua.so

%files ldap
%defattr(644,root,root,755)
%doc doc/ldap.txt
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/res_ldap.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/res_config_ldap.so

%if 0
%files ldap-fds
%defattr(644,root,root,755)
%{_sysconfdir}/dirsrv/schema/99asterisk.ldif
%endif

%files lpc10
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/asterisk/modules/codec_lpc10.so

%files minivm
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/extensions_minivm.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/minivm.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/app_minivm.so

%files misdn
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/misdn.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_misdn.so

%files odbc
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/cdr_adaptive_odbc.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/cdr_odbc.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/func_odbc.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/res_odbc.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/cdr_adaptive_odbc.so
%attr(755,root,root) %{_libdir}/asterisk/modules/cdr_odbc.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_odbc.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_config_odbc.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_odbc.so

%files osp
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/osp.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/app_osplookup.so

%files oss
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/oss.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_oss.so

%files portaudio
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/console.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_console.so

%files postgresql
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/cdr_pgsql.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/res_pgsql.conf
%doc contrib/realtime/postgresql/realtime.sql
%attr(755,root,root) %{_libdir}/asterisk/modules/cdr_pgsql.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_config_pgsql.so

%files radius
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/asterisk/modules/cdr_radius.so

%files resample
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/asterisk/modules/codec_resample.so

%files skinny
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/skinny.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_skinny.so

%files snmp
%defattr(644,root,root,755)
%doc doc/asterisk-mib.txt
%doc doc/digium-mib.txt
%doc doc/snmp.txt
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/res_snmp.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/res_snmp.so
%{_datadir}/mibs/ASTERISK-MIB.txt
%{_datadir}/mibs/DIGIUM-MIB.txt

%files speex
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/asterisk/modules/codec_speex.so
%attr(755,root,root) %{_libdir}/asterisk/modules/func_speex.so

%files sqlite
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/cdr_sqlite3_custom.conf
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/res_config_sqlite.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/cdr_sqlite3_custom.so
%attr(755,root,root) %{_libdir}/asterisk/modules/cdr_sqlite.so
%attr(755,root,root) %{_libdir}/asterisk/modules/res_config_sqlite.so

%files tds
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/cdr_tds.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/cdr_tds.so

%files unistim
%defattr(644,root,root,755)
%doc doc/unistim.txt
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/unistim.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_unistim.so

%files usbradio
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/usbradio.conf
#%attr(755,root,root) %{_libdir}/asterisk/modules/chan_usbradio.so

%files voicemail
%defattr(644,root,root,755)
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/voicemail.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/func_vmcount.so

%files voicemail-imap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/asterisk/modules/app_directory_imap.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_voicemail_imap.so

%files voicemail-odbc
%defattr(644,root,root,755)
%doc doc/voicemail_odbc_postgresql.txt
%attr(755,root,root) %{_libdir}/asterisk/modules/app_directory_odbc.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_voicemail_odbc.so

%files voicemail-plain
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/asterisk/modules/app_directory_plain.so
%attr(755,root,root) %{_libdir}/asterisk/modules/app_voicemail_plain.so

%files vorbis
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/asterisk/modules/format_ogg_vorbis.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: asterisk.spec,v $
Revision 1.178.2.4  2010/11/25 08:59:22  arekm
- rel 2

Revision 1.178.2.3  2010/11/25 06:36:04  arekm
- package proper postgres realtime sql file

Revision 1.178.2.2  2010/11/25 06:34:18  arekm
- don't duplicate readme files

Revision 1.178.2.1  2010/11/24 09:46:21  hawk
- updated to 1.6.2.14

Revision 1.178  2010/07/27 20:38:55  zbyniu
- fix against broken patch uncriticaly taken from fedora; rel 2

Revision 1.177  2010/07/27 19:36:48  glen
- restore todo (removed in r1.175), the problem is not fixed

Revision 1.176  2010/07/27 10:36:17  glen
- drop usermod dahdi/msidn, not present in pld (by zbyniu "report")

Revision 1.175  2010/07/24 12:11:47  zbyniu
- up to 1.6.2.10

Revision 1.174  2010/06/15 08:47:54  hawk
- release 3

Revision 1.173  2010/06/06 13:03:50  glen
- release 2

Revision 1.172  2010/04/26 12:10:43  glen
- previous app_tfax df urls

Revision 1.171  2010/04/26 11:30:33  glen
- up to 1.6.2.6, fix for sqlite 3.6.23

Revision 1.170  2010/03/13 23:00:16  sparky
- BR: gtk+2-devel, libxml2-devel

Revision 1.169  2010/03/01 12:47:13  glen
- rm doc souce xml/dtd

Revision 1.168  2010/03/01 12:43:15  glen
- define apidocs as last package, as it is the biggest one

Revision 1.167  2010/03/01 12:29:09  glen
- packaged files all but docs

Revision 1.166  2010/03/01 12:12:01  glen
- LC_ALL=C sort

Revision 1.165  2010/03/01 12:07:39  glen
- 1.6.2.5, files todo

Revision 1.164  2010/01/22 21:00:04  arekm
- up to 1.6.2.1

Revision 1.163  2010/01/22 20:22:15  arekm
- revert ptlib

Revision 1.162  2010/01/09 19:07:28  arekm
- replace pwlib with ptlib

Revision 1.161  2010/01/07 14:49:59  glen
- write licenses to /var/lib/licenses, keep symlink in datadir

Revision 1.160  2010/01/04 17:46:35  glen
- astman,gsm,http,lpc10,resample,speex,vorbis subpackages

Revision 1.159  2010/01/02 09:36:10  glen
- build and add subpkg for osp

Revision 1.158  2010/01/02 09:26:51  glen
- desc the missing features

Revision 1.157  2009/12/31 20:03:33  glen
- build jack & resample via BR libresample

Revision 1.156  2009/12/31 18:53:54  glen
- no /usr/lib poison on lib64 systems

Revision 1.155  2009/12/31 12:27:11  glen
- build with system lpc10
- sandsp dep updated
- patches renum

Revision 1.154  2009/12/30 23:38:58  glen
- nuke editline copy
- make menuselect only needed for building

Revision 1.153  2009/12/30 21:23:03  glen
- build with system mlxm

Revision 1.152  2009/12/30 20:21:37  glen
- make channels/h323/Makefile.ast seems fixin chan_323.so linking

Revision 1.151  2009/12/30 19:36:19  glen
- subpkg for h323

Revision 1.150  2009/12/30 19:30:33  glen
- fix lua
- hacks for h323 proper linking
- chan_h323 somewhy makes chan_skype not to load at all (?!)

Revision 1.149  2009/12/30 18:59:07  glen
- h323 partially fixed
- mibs to system mibs dir
- apidocs bconded

Revision 1.148  2009/12/30 12:50:56  glen
- licenses symlink, chown trigger

Revision 1.147  2009/12/30 11:53:25  glen
- more packaging fixes

Revision 1.146  2009/12/30 11:21:50  glen
- packaging fixes, -examples package dropped

Revision 1.145  2009/12/30 09:32:43  glen
- subpackages from fedora, sounds will came from asterisk-sounds-core package

Revision 1.144  2009/12/29 19:17:00  glen
- remove/update outdated patches
- requires_eq removed, readd if soname dep is not sufficent (h323 dep was even bogus and so is pwlib due it)

Revision 1.143  2009/12/29 17:22:46  glen
- run configure our own to catch cflags
- system imap and libedit
- patches from fedora
- asterisk -r no longer segfaults

Revision 1.142  2009/12/29 17:03:04  glen
- up to 1.6.1.12

Revision 1.141  2009/12/29 16:17:38  glen
- rm unpackaged files at this point; cosmetics

Revision 1.140  2009/12/14 12:07:22  baggins
- rel 3

Revision 1.139  2009/12/10 02:18:06  sparky
- added many, maaany missing BRs
- fix build without wget

Revision 1.138  2009/12/09 13:46:07  baggins
- rel 2

Revision 1.137  2009/11/16 13:50:56  dzeus
- up to 1.6.1.9
- AST-2009-004, AST-2009-005, AST-2009-006, AST-2009-007, AST-2009-008, AST-2009-009

Revision 1.136  2009/07/06 12:04:55  baggins
- rel 3
- fix ppc build

Revision 1.135  2009/07/06 10:37:30  baggins
- rel 2

Revision 1.134  2009/06/09 10:23:27  dzeus
- up to 1.6.1.1 (fixes CVE-2009-0041)

Revision 1.133  2009/04/29 08:51:44  arekm
- rel 1

Revision 1.132  2009/04/29 08:21:02  arekm
- up to 1.6.1.0; BR need recheck

Revision 1.131  2009/04/06 11:55:10  blues
- one more CVE blocker - is asterisk in PLD still maintained?

Revision 1.130  2009/03/17 12:12:45  blues
- one more secuiruty blocker (CVE-2009-0871)

Revision 1.129  2009/01/14 20:19:05  blues
- security blocker added

Revision 1.128  2008/11/02 18:58:16  jareq
- updated to 1.6.0.1

Revision 1.127  2008/10/03 11:17:12  arekm
- up to 1.6.0 (1.4 on ASTERISK_1_4)

Revision 1.126  2008/10/03 10:46:02  arekm
- up to 1.4.22

Revision 1.125  2008/07/23 19:35:24  arekm
- up to 1.4.21.2; fixes CVE-2008-3263 and CVE-2008-3264

Revision 1.124  2008/07/20 16:15:25  arekm
- rel 2

Revision 1.123  2008/07/18 20:08:20  arekm
- One more safe check. asterisk build system is very ugly and error prone.

Revision 1.122  2008/07/18 06:29:37  arekm
- move bristuff marker to release; make sure that gsmat is detected when building with bristuff

Revision 1.121  2008/07/16 20:51:25  arekm
- mark bristuff version

Revision 1.120  2008/07/16 19:08:59  arekm
- up to 1.4.21.1; updated bristuff

Revision 1.119  2008/06/28 20:07:34  arekm
- release 2

Revision 1.118  2008-05-21 18:08:53  arekm
- up to 1.4.20

Revision 1.117  2008-04-24 10:01:31  arekm
- up to 1.4.19.1

Revision 1.116  2008-04-09 08:09:42  arekm
- rel 2; fix some audiohook issues (from upstream svn)

Revision 1.115  2008-04-04 12:15:38  arekm
- up to 1.4.19

Revision 1.114  2008-03-22 14:24:33  megabajt
- CVE references

Revision 1.113  2008-03-18 17:55:28  arekm
- up to 1.4.18.1 [CVE-2008-1332]

Revision 1.112  2008-02-28 13:21:13  arekm
- up to 1.4.18

Revision 1.111  2008-02-12 11:43:33  arekm
- better desc for zhone_hack

Revision 1.110  2008-02-11 17:09:09  qboosh
- verbose bcond desc

Revision 1.109  2008-02-11 09:02:48  arekm
- bristuff version uses special libpri-bristuff.spec library

Revision 1.108  2008-02-09 14:15:34  arekm
- enable gsmat

Revision 1.107  2008-02-09 13:27:21  arekm
- add url for bristuff patch

Revision 1.106  2008-02-09 13:19:29  arekm
- add bristuff bcond; fix zhonehack bcond (was applied unconditionally)

Revision 1.105  2008-02-09 12:43:58  arekm
- up to 1.4.17 [CVE-2007-6170, CVE-2007-6171, CVE-2007-6430, CVE-2008-0095]

Revision 1.104  2008-01-17 00:04:21  glen
- rel 3

Revision 1.103  2007-12-30 22:20:54  adamg
- cosmetics

Revision 1.102  2007-11-18 18:25:19  arekm
- rel 2

Revision 1.101  2007-11-17 01:59:42  aredridel
- add imap support

Revision 1.100  2007-11-09 10:48:51  arekm
- add logrotate

Revision 1.99  2007/10/13 16:35:39  megabajt
- added CVE reference for revision 1.97

Revision 1.98  2007/10/12 10:51:45  arekm
- zhone megahack disabling pulse dialling for broken zhones

Revision 1.97  2007/10/12 10:49:39  arekm
- up to 1.4.13 [fixes CVE-2007-5358]

Revision 1.96  2007/09/26 07:18:21  arekm
- don't restart anything automaticly

Revision 1.95  2007/09/25 08:42:14  arekm
- up to 1.4.11

Revision 1.94  2007/07/03 09:15:24  arekm
- rel 2

Revision 1.93  2007/04/30 21:26:22  areq
- 1.4.4

Revision 1.92  2007/04/19 22:05:58  arekm
- builds now; spandsp doesn't seem to be needed

Revision 1.91  2007/04/19 06:23:03  arekm
- still doesn't build

Revision 1.90  2007/04/18 22:01:43  arekm
- up to 1.4.2

Revision 1.89  2007/03/14 18:38:26  megabajt
- missing dir

Revision 1.88  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.87  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.86  2007/01/23 16:30:12  arekm
- 1.4 on HEAD, 1.2 on ASTERISK_1_2

Revision 1.82.2.11  2007/01/23 16:18:13  arekm
- don't bcond sources/patches

Revision 1.82.2.10  2007/01/23 16:14:04  arekm
- devel doesn't need main package

Revision 1.82.2.9  2007/01/11 13:17:52  dzeus
- more docs

Revision 1.82.2.8  2007/01/10 11:48:44  dzeus
- fixed commented BR: gcc

Revision 1.82.2.7  2007/01/10 11:36:16  dzeus
- more files packaged

Revision 1.82.2.6  2007/01/03 23:44:58  areq
- 1.4.0

Revision 1.82.2.5  2006/11/06 21:18:36  aredridel
- make bluetooth disabled by default
- remove bcond for openh323

Revision 1.82.2.4  2006/11/06 19:54:06  aredridel
- fix ptlib/pwlib for chan_h323
- use builtin chan_h323
- update to beta3
- add experimental bluetooth patch (doesn't work yet)

Revision 1.82.2.3  2006/10/08 14:22:46  qboosh
- updated moh-freeplay-wav md5

Revision 1.82.2.2  2006/10/08 14:16:00  areq
- 1.4.0-beta2

Revision 1.82.2.1  2006/09/17 22:22:54  areq
- 1.4 SVN trunk

Revision 1.82  2006/09/17 16:49:58  areq
- 1.2.12.1

Revision 1.81  2006/08/23 19:37:38  areq
- 1.2.11

Revision 1.80  2006/07/26 15:40:15  glen
- remove extra unneeded slash

Revision 1.79  2006/07/17 10:11:16  dzeus
- up to 1.2.10

Revision 1.78  2006/06/10 22:14:27  arekm
- fixed build; fax bcond on; gcc 3.3 patch -> /dev/null

Revision 1.77  2006/06/06 22:17:19  areq
- 1.2.9.1

Revision 1.76  2006/06/05 22:11:12  areq
- 1.2.8

Revision 1.75  2006/05/25 09:59:31  hunter
- corrected typo with rxfax level

Revision 1.74  2006/05/11 20:34:47  glen
- rel 2

Revision 1.73  2006/05/11 20:32:20  glen
- 1.2.7.1 from AC-branch

Revision 1.72  2006/04/13 13:11:22  areq
- 1.2.7

Revision 1.71  2006/03/27 22:22:13  areq
- 1.2.6

Revision 1.70  2006/03/12 17:12:17  areq
- 1.2.5

Revision 1.69  2006/02/24 15:20:04  glen
- use %service

Revision 1.68  2006/02/17 13:52:13  hunter
- include rxtxfax app

Revision 1.67  2006/02/04 21:40:07  averne
- updated to 1.2.4

Revision 1.66  2006/01/25 21:46:01  arekm
- up to 1.2.3

Revision 1.65  2006/01/19 11:25:17  dzeus
- up to 1.2.2

Revision 1.64  2005/12/17 12:56:15  averne
- updated to 1.2.1
- rel 1

Revision 1.63  2005/12/17 12:42:53  averne
- fixed openh323 path
- rel 2

Revision 1.62  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.61  2005/11/22 00:51:17  aredridel
- requires libpri >= 1.2.0

Revision 1.60  2005/11/21 13:53:30  pawcioos
- updated to 1.2.0

Revision 1.59  2005/10/09 09:52:29  arekm
- don't pass arch=something; it's already in cflags

Revision 1.58  2005/10/08 22:07:57  arekm
- fix awk req; rel 3

Revision 1.57  2005/10/08 22:01:24  arekm
- rel 2

Revision 1.56  2005/10/05 20:19:37  aredridel
- finish t30 support

Revision 1.55  2005/09/20 18:23:22  aredridel
- add initial t30 stub work, NFY

Revision 1.54  2005/07/02 08:22:07  domelu
- up to 1.0.9

Revision 1.53  2005/06/24 05:29:48  aredridel
- up to 1.0.8

Revision 1.52  2005/06/04 20:38:56  speedy
- release 4 (rebuild with new pwlib/openh323)

Revision 1.51  2005/05/01 20:10:28  areq
- BR freetds >= 0.63

Revision 1.50  2005/04/28 08:46:51  hawk
- release 3

Revision 1.49  2005/04/28 08:39:15  hawk
- added patch for compilation with freetds >= 0.63

Revision 1.48  2005/04/27 14:48:52  hawk
- release 2

Revision 1.47  2005/03/20 19:34:46  arekm
- builds with new pwlib/openh323

Revision 1.46  2005/03/20 15:03:23  arekm
- up to 1.0.7

Revision 1.45  2005/03/02 20:46:32  djrzulf
- added h323.conf, Rel 3, STBR AC-TEST,

Revision 1.44  2005/03/02 06:54:20  qboosh
- fixed bcond

Revision 1.43  2005/03/01 21:08:17  qboosh
- simplified

Revision 1.42  2005/03/01 20:40:48  djrzulf
- now we build from our sources, STBR AC-TEST,

Revision 1.41  2005/03/01 20:21:39  djrzulf
- Rel 2, fixed h323 linking, STBR AC-TEST!!

Revision 1.40  2005/03/01 20:12:09  djrzulf
- NFY,

Revision 1.39  2005/03/01 16:01:44  djrzulf
- h323 back, but doesn't compile,

Revision 1.38  2005/03/01 05:56:04  djrzulf
- updated to 1.0.6, stbr AC-TEST,

Revision 1.37  2004/12/21 22:26:43  luzik
- updated to 1.0.3 (bug fixes)

Revision 1.36  2004/12/11 07:43:33  undefine
- small patch asterisk-no_k6_on_sparc.patch to build on sparcs(not only ultrasparc)
- release 3

Revision 1.35  2004/12/09 22:34:58  qboosh
- BR sed 4.0, man fix

Revision 1.34  2004/12/09 21:03:20  havner
- fix amd64 build
- rel 2

Revision 1.33  2004/11/20 20:27:39  aredridel
- up to 1.0.2
- macros in make arguments
- don't set CFLAGS so that it compiles; pass rpmcflags in OPTIMIZE

Revision 1.32  2004/11/15 19:55:42  adamg
- added Makefile_fix_gcc33.patch (hopefully fixes build on amd64)
- pass CC, CFLAGS and blank OPTIMIZE

Revision 1.31  2004/10/07 10:35:09  qboosh
- missing pl, strict internal deps, simplified prep

Revision 1.30  2004/10/04 23:43:47  aredridel
- spec cleanups

Revision 1.29  2004/09/24 23:18:43  mguevara
- update to 1.0.0
- url/ftp address change

Revision 1.28  2004/08/28 23:16:45  aredridel
- up to 20040828

Revision 1.27  2004/04/11 03:56:34  aredridel
- up to pre-1.0 CVS

Revision 1.26  2004/04/07 19:03:13  aredridel
- made h323 optional

Revision 1.25  2004/03/19 23:46:22  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.24  2004/02/21 23:10:01  aredridel
- up to 0.7.2

Revision 1.23  2003/08/22 15:26:46  qboosh
- verify flags for configs

Revision 1.22  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.21  2003/08/11 16:54:03  gotar
- fixed building:
  - h323 (Makefile2 patch),
  - pbx (made .depend to refresh by removing the old one),
- new todo: pass CFLAGS

Revision 1.20  2003/08/06 16:29:39  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.19  2003/07/29 14:17:58  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.18  2003/06/15 20:31:44  blues
- TODO added

Revision 1.17  2003/06/11 20:46:24  ankry
- BR bison,gawk

Revision 1.16  2003/06/10 14:00:22  ankry
- added md5

Revision 1.15  2003/05/25 05:45:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/05/21 14:49:10  blues
- I've found why I had problems with calling other phones... added missing
  cdr-csv directory...

Revision 1.13  2003/05/20 16:10:52  blues
- 0.4.0.20030520 snapshot - because of chan_sip that makes sig11 and
  registering storm

Revision 1.12  2003/05/19 13:31:20  blues
- monitor directory for recording

Revision 1.11  2003/05/13 12:37:30  blues
- now requirements of openh323 and pwlib are correct. I don't know why is
  that

Revision 1.10  2003/05/13 11:32:49  blues
- pre/post play

Revision 1.9  2003/05/13 11:06:16  blues
- simple init-scripts

Revision 1.8  2003/05/13 09:38:12  blues
- require exact version of openh323

Revision 1.7  2003/05/13 08:22:38  blues
- Makefile patch - make chan_h323 build

Revision 1.6  2003/05/12 13:27:34  blues
- started work with h323 plugin...

Revision 1.5  2003/05/11 13:02:53  qboosh
- pl description, missing dir, cleanups

Revision 1.4  2003/05/09 14:15:41  blues
- removed samples, added logs directory

Revision 1.3  2003/05/09 13:59:45  adasi
- added destdir patch
- added lost files

Revision 1.2  2003/05/08 13:25:07  blues
- more BR

Revision 1.1  2003/05/08 12:50:37  blues
- initial release - VoIP system
